<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:23 PST 2005 -->
<TITLE>
: Interface  FixedPrecisionDataType
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FixedPrecisionDataType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntegerDataType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FixedPrecisionDataType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.datatypes</FONT>
<BR>
Interface  FixedPrecisionDataType</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A>, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html">ExactNumericDataType</A>, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html">NumericalDataType</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html">PredefinedDataType</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataType.html">SQLDataType</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FixedPrecisionDataTypeImpl.html">FixedPrecisionDataTypeImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>FixedPrecisionDataType</B><DT>extends <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html">ExactNumericDataType</A></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 4.1 Data types
 
 For reference purposes:
 [...]
  - The data types NUMERIC , DECIMAL , SMALLINT , INTEGER , and BIGINT are collectively referred to as exact numeric types.
  - The data types FLOAT , REAL , and DOUBLE PRECISION are collectively referred to as approximate numeric types.
  - Exact numeric types and approximate numeric types are collectively referred to as numeric types. Values of numeric types are referred to as numbers.
 
 4.4.1 Characteristics of numbers
 
 An exact numeric type has a precision P and a scale S. P is a positive integer that determines the number of significant digits in a particular radix R, where R is either 2 or 10. S is a non-negative integer. Every value of an exact numeric type of scale S is of the form n x 10-S, where n is an integer such that -RP <= n < RP.
 NOTE 13 - Not every value in that range is necessarily a value of the type in question.
 
 An approximate numeric value consists of a mantissa and an exponent. The mantissa is a signed numeric value, and the exponent is a signed integer that specifies the magnitude of the mantissa. An approximate numeric value has a precision. The precision is a positive integer that specifies the number of significant binary digits in the mantissa. The value of an approximate numeric value is the mantissa multiplied by a factor determined by the exponent.
 
 An <approximate numeric literal> ANL consists of an <exact numeric literal> (called the <mantissa> ), the letter 'E' or 'e', and a <signed integer> (called the <exponent> ). If M is the value of the <mantissa> and E is the value of the <exponent> , then M * 10E is the apparent value of ANL. The actual value of ANL is approximately the apparent value of ANL, according to implementation-defined rules.
 
 <!-- end-model-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getFixedPrecisionDataType()"><CODE>SQLDataTypesPackage.getFixedPrecisionDataType()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.ExactNumericDataType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html">ExactNumericDataType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html#getScale()">getScale</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html#setScale(int)">setScale</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.NumericalDataType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html">NumericalDataType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html#getPrecision()">getPrecision</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html#setPrecision(int)">setPrecision</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.PredefinedDataType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html">PredefinedDataType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html#getPrimitiveType()">getPrimitiveType</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html#setPrimitiveType(org.eclipse.wst.rdb.internal.models.sql.datatypes.PrimitiveType)">setPrimitiveType</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.DataType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html#setContainer(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)">setContainer</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setLabel(java.lang.String)">setLabel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FixedPrecisionDataType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntegerDataType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FixedPrecisionDataType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
